/*
Theme Name: M.A.R.E.
Description: A lightweight child theme that extends the Parent Theme.
Author: Sviluppo Evolve
Template: hello-elementor
Version: 1.0.0
License: GNU General Public License v2 or later
License URI: https://www.gnu.org/licenses/gpl-2.0.html
Tags: blog, custom-colors, custom-menu, responsive-layout
Text Domain: mare
*/


/* VARS */
:root {
	--primaryColor: #574839;
	--secondaryColor: #B67C40;
	--accentColor: #000000;
	--linkColor: #e3990b;
	--linkHover: #e3990b;
}


/* FX */
.isFloating {
  animation: floaty 4s ease-in-out infinite;
  will-change: transform;
}
@keyframes floaty {
  0%, 100% { transform: translateY(0); }
  50% { transform: translateY(-10px); }
}


/* GLOBALS */
h1, h2, h3, h4, h5, h6 {
	font-family: "Baskerville", serif;
}
a {
	color: var(--linkColor);
}
/* GLOBALS */


/* MOBILE */
.mobile-navigation a {
	text-align: right;
}
.mobile-navigation .has-submenu .sub-arrow > i::after {
	content: "+";
	font-weight: 900;
}
.mobile-navigation .has-submenu + .sub-menu {
	margin: 0 !important;
	left: unset !important;
	right: 0 !important;
	border-radius: .5rem;
	box-shadow: 0 0 10px -7px var(--primaryColor);
  	overflow: hidden;
}
.mobile-navigation .has-submenu + .sub-menu .current-menu-item a,
.mobile-navigation .has-submenu + .sub-menu a.highlighted,
.mobile-navigation .has-submenu + .sub-menu a:hover {
	background-color: var(--secondaryColor);
	color: #ffffff !important;
}
/* MOBILE */


/* HEADER */
.mare-header {
	position: fixed;
	width: 100%;
}
.mare-header.pi-ahh--scrolled.is-visible {
	transition:
		background-color .2s ease-in-out .3s, 
		transform .3s ease-in-out 0s;
}
.mare-header .logo-text .elementor-heading-title,
.mare-header .menu-trigger svg {
	transition:
		color .2s ease-in-out 0s
		fill .2s ease-in-out 0s;
}
.mare-header div[class*="elementor-nav-menu"] ul li.astm-search-menu * {
	color: inherit;
	fill: inherit;
}
.mare-header.dark-header div[class*="elementor-nav-menu"] ul li a,
.mare-header.dark-header .logo-text .elementor-heading-title,
.mare-header.dark-header .menu-trigger svg {
	color: #333333 !important;
	fill: #33333396 !important;
}
.mare-header.dark-header div[class*="elementor-nav-menu"] ul li a::after {
	background-color: #333333 !important;
	opacity: .5;
}
.mare-header.light-header div[class*="elementor-nav-menu"] ul li a,
.mare-header.light-header .logo-text .elementor-heading-title,
.mare-header.light-header .menu-trigger svg {
	color: #FFFFFF !important;
	fill: #FFFFFF96 !important;
}
.mare-header.light-header div[class*="elementor-nav-menu"] ul li a::after {
	background-color: #FFFFFF !important;
	opacity: .5;
}
.mare-header.pi-ahh--scrolled.is-visible {
	background-color: rgba(255, 255, 255, .88) !important;
}
.mare-header.pi-ahh--scrolled.is-visible div[class*="elementor-nav-menu"] ul li a {
	color: #333333 !important;
	fill: #33333396 !important;
}
.mare-header.pi-ahh--scrolled.is-visible div[class*="elementor-nav-menu"] ul li a::after {
	background-color: #333333 !important;
	opacity: .5;
}
.mare-header.pi-ahh--scrolled.is-visible .logo-text .elementor-heading-title,
.mare-header.pi-ahh--scrolled.is-visible .menu-trigger svg {
	color: #333333 !important;
	fill: #333333 !important;
	transition-delay: .3s;
}
.mare-header div[class*="elementor-nav-menu"] ul li.menu-item-has-children a::after {
	display: none !important;
}

.mare-header div[class*="elementor-nav-menu"] ul li a + .sub-menu {
	background-color: rgba(255, 255, 255, 1);
	border-radius: .5rem;
	box-shadow: 0 0 5px 0 rgba(0, 0, 0, .1);
	min-width: 15rem !important;
}
.mare-header div[class*="elementor-nav-menu"] ul li a + .sub-menu li a + .sub-menu {
	overflow: hidden;
}
.mare-header div[class*="elementor-nav-menu"] ul li a + .sub-menu li a {
	font-size: 1rem;
	color: #333333 !important;
}
.mare-header div[class*="elementor-nav-menu"] ul li a + .sub-menu li.current_page_item a,
.mare-header div[class*="elementor-nav-menu"] ul li a + .sub-menu li a.highlighted,
.mare-header div[class*="elementor-nav-menu"] ul li a + .sub-menu li a:hover {
	background-color: var(--secondaryColor);
	color: #ffffff !important;
}
/* HEADER */


.map-iframe__container iframe {
	height: 500px;
}
@media (min-width: 768px) {
	.map-iframe__container iframe {
		height: 700px;
	}
	.mare-cta .elementor-background-video-container video {
		inset-block-start: 10%;
	}
}


.is-search-form {
	border-radius: 10rem;
	overflow: hidden;
	background-color: rgba(255, 255, 255, 1);
}
.is-search-form label > input {
	height: 2.5rem !important;
}
.is-search-form .is-search-submit .is-search-icon {
	border: none;
	background-color: transparent;
}
.is-ajax-search-result {
	background-color: #FFFFFF !important;
	border-radius: 1rem !important;
	border: 2px solid rgba(87, 72, 57, .6) !important;
}


/* HOME */
.home-hero__wrapper .hero-title small {
	font-size: 40%;
}
.home-hero__wrapper .hero-title span {
  color:rgba(255, 255, 255, .4);
  -webkit-text-stroke: 1px #fff;
  text-stroke: 1px #fff;
}
.home-hero__wrapper .is-search-form {
	width: 90vw;
	border-radius: 10rem;
	overflow: hidden;
	background-color: rgba(255, 255, 255, .8);
}
.home-hero__wrapper .is-search-form label {
	width: calc(100% - 55px) !important;
}
.home-hero__wrapper .is-search-form label > input {
	height: 3rem !important;
	background: transparent;
	border: none !important;
	box-shadow: none;
	color: #333333;
	font-size: 1rem !important;
	padding: 0 1.5rem;
}
.home-hero__wrapper .is-search-form .is-search-submit {
	width: 55px;
	height: 45px;
}
.home-hero__wrapper .is-search-form .is-search-submit .is-search-icon {
	width: 55px;
	height: 45px;
	border: none;
	background-color: transparent;
}
.home-hero__wrapper .is-search-form .is-search-submit .is-search-icon > svg {
	width: 30px;
}

@media (min-width: 768px) {
	.home-hero__wrapper .is-search-form {
		width: 35rem;
	}
}
/* *** HOME *** */


/* *** REASEARCH TEAM *** */
.team-members-grid__wrapper .team-members-grid__item .elementor-widget-image {
	height: 80vw;
  	max-height: 420px;
  	overflow: hidden;
}
.team-members-grid__wrapper .team-members-grid__item .pi-card-content {
  display: none;
}

@media (min-width: 768px) {
	.team-members-grid__wrapper .team-members-grid__item .elementor-widget-image {
		max-height: 300px;
	}
}
/* *** REASEARCH TEAM *** */


/* *** SINGLE BLOG *** */
.single-post .single-post-content {
	h2, h3, h4 {
		margin: 1.5rem 0 1rem;
	}
}
.single-post .single-post-content {
	p {
		padding-left: .1rem;
	}
}
.single-post .single-post-content .wp-block-buttons {}
.single-post .single-post-nav .elementor-post-navigation__prev a {
	padding-right: 3rem;
}
.single-post .single-post-nav .elementor-post-navigation__next a {
	padding-left: 3rem;
}

@media (min-width: 768px) {
	.single-post .single-post-content {
		h2, h3, h4 {
			margin: 3.5rem 0 1.5rem;
		}
	}
}
/* *** SINGLE BLOG *** */


.contact-form__wrapper .elementor-form .elementor-field-type-acceptance {
	margin-bottom: 2rem !important;
}

.map-iframe__container iframe {
	border-radius: 1rem;
}

.grecaptcha-badge {
	display: none !important;
}
.visually-hidden {
  position: absolute;
  width: 1px;
  height: 1px;
  padding: 0;
  margin: -1px;
  overflow: hidden;
  clip: rect(0 0 0 0);
  white-space: nowrap;
  border: 0;
}


iframe.maps-of-rari {
	width: 100%;
	height: 100vh;
}


/* *** COOKIE YES *** */
.cky-consent-container, .cky-modal, .cky-btn-revisit-wrapper {
	--ckyColor: #574839;
}
.cky-btn-revisit-wrapper {
	background-color: var(--ckyColor) !important;
}
.cky-consent-container .cky-notice .cky-notice-group .cky-btn,
.cky-modal .cky-footer-wrapper .cky-btn {
	border-color: var(--ckyColor) !important;
	color: var(--ckyColor) !important;
}
.cky-consent-container .cky-notice .cky-notice-group .cky-btn.cky-btn-accept,
.cky-modal .cky-footer-wrapper .cky-btn.cky-btn-accept {
	color: #FFFFFF !important;
	background-color: var(--ckyColor) !important;
}
.cky-consent-container .cky-notice .cky-notice-group .cky-notice-des a {
	color: var(--ckyColor) !important;
}
/* *** COOKIE YES *** */
